---
title: GlobalEventHandlers.ondblclick
slug: Web/API/GlobalEventHandlers/ondblclick
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>ondblclick</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("dblclick")}} events on the given element.</p>

<p>The <code>dblclick</code> event is raised when the user double clicks an element. It fires after two {{event("click")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.ondblclick = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("MouseEvent")}} object as its sole argument. Within the function, <code><a href="/en-US/docs/Web/JavaScript/Reference/Operators/this">this</a></code> will be the element upon which the event was triggered.</p>

<p>Only one <code>ondblclick</code> handler can be assigned to an object at a time. You may prefer to use the {{domxref("EventTarget.addEventListener()")}} method instead, since it's more flexible.</p>

<h2 id="Example">Example</h2>

<p>This example logs the position of double clicks.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;p&gt;Double click anywhere in this example.&lt;/p&gt;
&lt;p id="log"&gt;&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">let log = document.getElementById('log');

document.ondblclick = logDoubleClick;

function logDoubleClick(e) {
  log.textContent = `Position: (${e.clientX}, ${e.clientY})`;
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-ondblclick','ondblclick')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.ondblclick")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("dblclick")}} event</li>
 <li>Related event handlers
  <ul>
   <li>{{domxref("GlobalEventHandlers.onauxclick")}}</li>
   <li>{{domxref("GlobalEventHandlers.onclick")}}</li>
  </ul>
 </li>
</ul>
